package com.example.moventaa.bean;

import javax.jdo.annotations.IdGeneratorStrategy;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.PrimaryKey;
import javax.persistence.Entity;
import javax.persistence.Id;

import com.google.appengine.api.datastore.Key;

/**
 * Entity que representa el listado de localidades por provincia
 * 
 * @author mmartinezced
 *
 */
@PersistenceCapable
public class Localidad {
	
	
	@PrimaryKey
    @Persistent(valueStrategy = IdGeneratorStrategy.IDENTITY)
    private Key key;
	
	//@Persistent(primaryKey="true")
	private String provinciaID;
	private String localidad;
	
	//~--- getter&setters
		
	public Key getKey() {
		return key;
	}
	public void setKey(Key key) {
		this.key = key;
	}
	public String getProvinciaID() {
		return provinciaID;
	}
	public void setProvinciaID(String provinciaID) {
		this.provinciaID = provinciaID;
	}
	public String getLocalidad() {
		return localidad;
	}
	public void setLocalidad(String localidad) {
		this.localidad = localidad;
	}
	
	

	
	
	
}
