package com.example.moventaa.bean;

import javax.jdo.annotations.IdGeneratorStrategy;
import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.PrimaryKey;

import com.google.appengine.api.datastore.Key;

/**
 * Entidad que relaciona los productos por centro
 * ya que no todos los productos estan en todos 
 * los centros
 * 
 * 
 * @author mmartinezced
 *
 */
@PersistenceCapable(identityType = IdentityType.APPLICATION)
public class ProductosCentro {

	@PrimaryKey
    @Persistent(valueStrategy = IdGeneratorStrategy.IDENTITY)
    private Key key;
	
	
	@Persistent
	private String centroId;
	
	@Persistent
	private String productoId;
	
	@Persistent
	private String stock;
	
	
	public Key getKey() {
		return key;
	}
	public void setKey(Key key) {
		this.key = key;
	}
	public String getCentroId() {
		return centroId;
	}
	public void setCentroId(String centroId) {
		this.centroId = centroId;
	}
	public String getProductoId() {
		return productoId;
	}
	public void setProductoId(String productoId) {
		this.productoId = productoId;
	}
	public String getStock() {
		return stock;
	}
	public void setStock(String stock) {
		this.stock = stock;
	}
	
	
	
}
