package com.example.moventaa.test;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public class ReadCVS {
	 
	  public static void main(String[] args) {
	 
		ReadCVS obj = new ReadCVS();
		obj.run();
	 
	  }
	 
	  public List<String[]> run() {
	 
		String csvFile = "E:/UOC/workspace_android/Moventaa-Data/provincias.csv";
		BufferedReader br = null;
		String line = "";
		String cvsSplitBy = ",";
	 
		List<String[]> data = null;
		try {
			data = new ArrayList<String[]>();
			
			br = new BufferedReader(new FileReader(csvFile));
			while ((line = br.readLine()) != null) {
	 
			        // use comma as separator
				String[] csvdata= line.split(cvsSplitBy);
				data.add(csvdata);
			}
	       
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		} finally {
			if (br != null) {
				try {
					br.close();
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
		    return data;
		}
	  }
	}
