package com.example.moventaa;

import com.example.moventaa.utils.UserPrefsData;

import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;

public class GPSActivity extends Activity {

	 ProgressDialog progressDialog;
	
	 @Override
	 protected void onCreate(Bundle savedInstanceState) {
	      super.onCreate(savedInstanceState);
	      setContentView(R.layout.activity_gps);
	        
	      final Button button = (Button) findViewById(R.id.btnGPS01);
	      button.setOnClickListener(new View.OnClickListener() {
	           public void onClick(View v) {
	        	savedPreferencesGSP();
	           	nextActivity();
	           }
	      });
	 }
	 
	 private void savedPreferencesGSP(){
	      final CheckBox chkgps = (CheckBox) findViewById(R.id.gps_checkbox);
	      boolean value = chkgps.isChecked();

		SharedPreferences sharedPref = getSharedPreferences(
				MainActivity.PREFS_NAME, Context.MODE_PRIVATE);
		String serializedDataFromPreference = sharedPref.getString(
				MainActivity.PREFS_KEY, null);
		UserPrefsData restoredMyData = UserPrefsData
				.create(serializedDataFromPreference);

		restoredMyData.setGpsenabled(value);

		SharedPreferences.Editor editor = sharedPref.edit();
		editor.putString(MainActivity.PREFS_KEY, restoredMyData.serialize());
		editor.commit();
	 }
	 
	 private void nextActivity(){
		 
		 progressDialog = ProgressDialog.show(this,
				 "", 
			  	 "Bscando centros. Por favor, espere...",
			  	 true,
			  	 true);
		 
		 
		 Intent myIntent = new Intent(GPSActivity.this, BusquedaCentrosActivity.class);
		 GPSActivity.this.startActivity(myIntent);
	 }
}
