package com.example.moventaa.presenter;

import java.util.List;

import com.example.moventaa.bean.moventaaendpoint.model.Nominas;

/**
 * Inteface de contratos realizables con el view
 * @author mmartinezced
 *
 */
public interface INominasView {
    
	/**
	 * Carga el listado de nominas
	 * @param items
	 */
	public void  fillRowsList(List<Nominas> items);
	
	/**
	 * Carga las nominas
	 */
	public void loadNominas();

	/**
	 * Descarga la nomina indicada por parametro
	 * @param idNomina
	 */
	public void descargaNomina(String idNomina);
	
	
	public void showProgress();
	
	public void hideProgress();
	
}
