package com.example.moventaa.bean;

import java.math.BigDecimal;
import java.sql.Date;

import javax.jdo.annotations.IdGeneratorStrategy;
import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.PrimaryKey;

import com.google.appengine.api.datastore.Key;

/**
 * Entity para el almacenaje de las comisiones
 * asociadas a los productos en un centro
 * 
 * @author mmartinezced
 *
 */
@PersistenceCapable(identityType = IdentityType.APPLICATION)
public class Comision {

	
	@PrimaryKey
    @Persistent(valueStrategy = IdGeneratorStrategy.IDENTITY)
    private Key key;
	
	
	@Persistent
	private ProductosCentro productoCentro;
	
	@Persistent
	private BigDecimal comision;
	
	@Persistent
	private Date fecha;

	public Key getKey() {
		return key;
	}

	public void setKey(Key key) {
		this.key = key;
	}

	public ProductosCentro getProductoCentro() {
		return productoCentro;
	}

	public void setProductoCentro(ProductosCentro productoCentro) {
		this.productoCentro = productoCentro;
	}

	public BigDecimal getComision() {
		return comision;
	}

	public void setComision(BigDecimal comision) {
		this.comision = comision;
	}

	public Date getFecha() {
		return fecha;
	}

	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}
	
	
}
