package com.example.moventaa.bean;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * Pojo bean que representa las
 * las ventas realizadas por un producto  
 * 
 * @author mmartinezced
 *
 */
public class EmpleadoProductoVentas {

	//Empleado 
	private String empleadoID;
	
	//Identificador de centro
	private Centro centro;
	
	private List<Producto> productos;
	
	//Producto al que hace referencia
	private Map<String,Integer> productosVendidos;
	
	//Stock asociados al producto
	private Map<String,Integer> productoStock;
	
	//~---- getter&setter
	
	public EmpleadoProductoVentas(){
		productos = new ArrayList<Producto>();
		productosVendidos = new HashMap<String, Integer>();
		productoStock = new HashMap<String, Integer>();
	}
	

	public String getEmpleadoID() {
		return empleadoID;
	}

	public void setEmpleadoID(String empleadoID) {
		this.empleadoID = empleadoID;
	}

	public Centro getCentro() {
		return centro;
	}

	public void setCentro(Centro centro) {
		this.centro = centro;
	}

	public Map<String, Integer> getProductosVendidos() {
		return productosVendidos;
	}

	public void setProductosVendidos(Map<String, Integer> productosVendidos) {
		this.productosVendidos = productosVendidos;
	}

	public List<Producto> getProductos() {
		return productos;
	}

	public void setProductos(List<Producto> productos) {
		this.productos = productos;
	}


	public Map<String, Integer> getProductoStock() {
		return productoStock;
	}


	public void setProductoStock(Map<String, Integer> productoStock) {
		this.productoStock = productoStock;
	}

	
}
