package com.example.moventaa.bean;

import javax.jdo.annotations.IdGeneratorStrategy;
import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;
import javax.jdo.annotations.PrimaryKey;

import com.google.appengine.api.datastore.Key;

/**
 * Entidad que relaciona los empleados
 * con los centros en los que trabaja 
 * 
 * @author mmartinezced
 */
@PersistenceCapable(identityType = IdentityType.APPLICATION)
public class EmpleadosCentro {

	@PrimaryKey
    @Persistent(valueStrategy = IdGeneratorStrategy.IDENTITY)
    private Key key;
	
	private String centroId;
	private String empleadoId;
	
	public Key getKey() {
		return key;
	}
	public void setKey(Key key) {
		this.key = key;
	}
	public String getCentroId() {
		return centroId;
	}
	public void setCentroId(String centroId) {
		this.centroId = centroId;
	}
	public String getEmpleadoId() {
		return empleadoId;
	}
	public void setEmpleadoId(String empleadoId) {
		this.empleadoId = empleadoId;
	}
	
}
