package com.example.moventaa.test;

import java.io.IOException;
import java.util.List;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import com.google.appengine.api.datastore.DatastoreService;
import com.google.appengine.api.datastore.DatastoreServiceFactory;
import com.google.appengine.api.datastore.Entity;
import com.google.appengine.api.datastore.Key;
import com.google.appengine.api.datastore.KeyFactory;
import com.google.appengine.tools.development.testing.LocalDatastoreServiceTestConfig;
import com.google.appengine.tools.development.testing.LocalServiceTestHelper;
import com.google.appengine.tools.remoteapi.RemoteApiInstaller;
import com.google.appengine.tools.remoteapi.RemoteApiOptions;

/**
 * 
 * 
 *
 */
public class PopulateDataTest {

	String username = "test@example.com";
	String password = "";
	
	
	private final LocalServiceTestHelper helper =
	        new LocalServiceTestHelper(new LocalDatastoreServiceTestConfig());

	    @Before
	    public void setUp()  throws IOException {
	        //helper.setUp();
	    	
	       RemoteApiOptions options = new RemoteApiOptions()
	            .server("localhost", 8888)
	            .credentials(username, password);
	        RemoteApiInstaller installer = new RemoteApiInstaller();
	        installer.install(options);
	        try {
	            DatastoreService ds = DatastoreServiceFactory.getDatastoreService();
	           // System.out.println("Key of new entity is " +
	             //   ds.put(new Entity("Hello Remote API!")));
	        } finally {
	            installer.uninstall();
	        }
	    	
	    }

	    @After
	    public void tearDown() {
	        //helper.tearDown();
	    }

	    // run this test twice to prove we're not leaking any state across tests
	    private void doPopulate(String entity, String columns[]) {
	    	
	    	  RemoteApiOptions options = new RemoteApiOptions()
	            .server("localhost", 8888)
	            .credentials(username, password);
	        RemoteApiInstaller installer = new RemoteApiInstaller();
	        try {
				installer.install(options);
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
	        try {
	            DatastoreService ds = DatastoreServiceFactory.getDatastoreService();
	            
	            //Key centrokey = KeyFactory.createKey("Centro", "01");
		        //Entity centro = new Entity("Centro", centrokey);
		        //ds.put(centro);
		        
	            ReadCVS readcsv = new ReadCVS();
	            List<String[]> data = readcsv.run();
	            
	            for (String[] strings : data) {
	            	
					Key key = KeyFactory.createKey("Provincia", strings[0]);
					Entity centro = new Entity("Provincia", key);
					centro.setProperty("provincia", strings[1]);
				    ds.put(centro);
				}	        
		        
		        
	        } finally {
	            installer.uninstall();
	        }
	    	
	    	
	        
	        
	        //ds.put(new Entity("yam"));
	        
	        
	        //assertEquals(2, ds.prepare(new Query("yam")).countEntities(withLimit(10)));
	    }

	    @Test
	    public void testInsert1() {
	    	//doPopulate("Provincia",new String[]{"provincia"})
	    }
}
