package com.example.moventaa.presenter;

import com.example.moventaa.bean.moventaaendpoint.model.ProductoInfo;

/**
 * 
 * @author mmartinezced
 *
 */
public interface IProductoInfoView {

	/**
	 * visualiza la progress bar
	 */
	 public void showProgress();
	 
	 /**
	  * oculta la progress bar
	  */
	 public void hideProgress();
	 
	 /**
	  * salva los datos de stock 
	  * @param idproducto
	  * @param idcentro
	  * @param cantidad
	  * @param idempleado
	  */
     public void saveStockSolicitado(String idproducto, String idcentro, String cantidad, String idempleado);
     
     /**
      * carga los datos de stoc 
      * @param producto
      */
     public void showProductoDataDetails(ProductoInfo producto);
     
     /**
      * Visualiza la info de stock enviado
      */
     public void showSolicitudStockEnviada();
     
}
